/// 
/// Header file for IObjectiveFunction interface
/// Created by: Jakub T. Moscicki, Oct 2000
///
/// Time-stamp: <2002-01-21 14:24:15 moscicki>
/// 

# ifndef INTERFACE_IOBJECTIVEFUNCTION_H__included__
# define INTERFACE_IOBJECTIVEFUNCTION_H__included__ 1

# include "IFunction.h"

namespace Anaphe
{

/*************************************************************/
/** 
 * IObjectiveFunction.
 * Interface of objective function.
 * For the moment it is the same as for the regular function.
 */

class IObjectiveFunction : virtual public IFunction
{
 public:

  ~IObjectiveFunction() {}
};

} // end namespace Anaphe

# endif
