// -*- C++ -*-

//
//  Copyright (C) CERN, Geneva
//
//  IRandomGenerator interface
//
//  Author: Max Sang 
//  Created: 16 May 2001
//



#ifndef INTERFACE_IRANDOMGENERATOR_H
#define INTERFACE_IRANDOMGENERATOR_H 



class IRandomGenerator
{
public:
  /// Generate next value in series
  virtual double next(void) = 0;

public:  
  virtual ~IRandomGenerator() { }
};



#endif /* INTERFACE_IRANDOMGENERATOR_H */ 



