<tagfile>
  <compound kind="file">
    <name>IFitter.h</name>
    <path>/afs/cern.ch/user/m/moscicki/Interfaces/Fitter/</path>
    <filename>ifitter_h.html</filename>
    <class>IFitParameter</class>
    <class>IFitter</class>
    <member kind="define">
      <name>INTERFACE_IFITTER_H</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>std_string</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <name>std_ostream</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <name>createIFitter</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IFunction.h</name>
    <path>/afs/cern.ch/user/m/moscicki/Interfaces/Func/</path>
    <filename>ifunction_h.html</filename>
    <class>IFunction</class>
  </compound>
  <compound kind="file">
    <name>IModelFunction.h</name>
    <path>/afs/cern.ch/user/m/moscicki/Interfaces/Func/</path>
    <filename>imodelfunction_h.html</filename>
    <class>IModelFunction</class>
  </compound>
  <compound kind="file">
    <name>IObjectiveFunction.h</name>
    <path>/afs/cern.ch/user/m/moscicki/Interfaces/Func/</path>
    <filename>iobjectivefunction_h.html</filename>
    <class>IObjectiveFunction</class>
  </compound>
  <compound kind="class">
    <name>IFitParameter</name>
    <filename>class_ifitparameter.html</filename>
    <member kind="function" virtualness="pure">
      <name>value</name>
      <anchor>a0</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>error</name>
      <anchor>a1</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>nameId</name>
      <anchor>a2</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>start</name>
      <anchor>a3</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>step</name>
      <anchor>a4</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>upperBound</name>
      <anchor>a5</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>lowerBound</name>
      <anchor>a6</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>isBound</name>
      <anchor>a7</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>isFixed</name>
      <anchor>a8</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>setBounds</name>
      <anchor>a9</anchor>
      <arglist>(double lo,double up)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>release</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <name>~IFitParameter</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <name>noUpperBound</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <name>noLowerBound</name>
      <anchor>d1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IFitter</name>
    <filename>class_ifitter.html</filename>
    <member kind="function" virtualness="pure">
      <name>setModel</name>
      <anchor>a0</anchor>
      <arglist>(const char *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>setData</name>
      <anchor>a1</anchor>
      <arglist>(const IVector *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>chiSquareFit</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>setParameter</name>
      <anchor>a3</anchor>
      <arglist>(const char *nameId,double start)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>setParameter</name>
      <anchor>a4</anchor>
      <arglist>(const char *nameId,double start,double step,double lower,double upper)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>fitParameter</name>
      <anchor>a5</anchor>
      <arglist>(const char *nameId)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>includePoint</name>
      <anchor>a6</anchor>
      <arglist>(int i)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>excludePoint</name>
      <anchor>a7</anchor>
      <arglist>(int i)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>includeRange</name>
      <anchor>a8</anchor>
      <arglist>(int iMin,int iMax)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>excludeRange</name>
      <anchor>a9</anchor>
      <arglist>(int iMin,int iMax)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>includeAll</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>excludeAll</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>printParameters</name>
      <anchor>a12</anchor>
      <arglist>(std_ostream &amp;os)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>printResult</name>
      <anchor>a13</anchor>
      <arglist>(std_ostream &amp;os)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>fittedVector</name>
      <anchor>a14</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <name>~IFitter</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IFunction</name>
    <filename>class_ifunction.html</filename>
    <member kind="function" virtualness="pure">
      <name>value</name>
      <anchor>a0</anchor>
      <arglist>(const vector&lt; double &gt; &amp;x)const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>grad</name>
      <anchor>a1</anchor>
      <arglist>(const vector&lt; double &gt; &amp;x)const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>hasGradient</name>
      <anchor>a2</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>dimension</name>
      <anchor>a3</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>toAscii</name>
      <anchor>a4</anchor>
      <arglist>(ostream &amp;os=cout)const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>isEqual</name>
      <anchor>a5</anchor>
      <arglist>(const IFunction *f)const=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <name>~IFunction</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IModelFunction</name>
    <filename>class_imodelfunction.html</filename>
    <base virtualness="virtual">IFunction</base>
    <member kind="function" virtualness="pure">
      <name>setParameters</name>
      <anchor>a0</anchor>
      <arglist>(const vector&lt; double &gt; &amp;params)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>parameters</name>
      <anchor>a1</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>parameterGradient</name>
      <anchor>a2</anchor>
      <arglist>(const vector&lt; double &gt; &amp;x)const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>hasParameterGradient</name>
      <anchor>a3</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>numberOfParameters</name>
      <anchor>a4</anchor>
      <arglist>()const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <name>nameOfParameter</name>
      <anchor>a5</anchor>
      <arglist>(int ix)const=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IObjectiveFunction</name>
    <filename>class_iobjectivefunction.html</filename>
    <base virtualness="virtual">IFunction</base>
    <member kind="function">
      <name>~IObjectiveFunction</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
