#include "test13.h"
#include "CLHEP/Random/Randomize.h"
#include "AIDA_ScatterPlot/AIDAScatter.h"
#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpscatterplot2d.h"

/** ScatterPlot vector
 */

const size_t nDraw=10000;

bool Test13::execute(MyWidget & mW) {
  bool retval = true;

  unsigned int i;
  
  mW.createZones(1,1);
  
  QpPage *page = mW.getPage();
  page->setTitle("Test #13") ;
  
  Anaphe::STLScatter2DAdapter myScatterPlot;
  for( i=0; i<nDraw; i++ )
    myScatterPlot.putPoint(RandGauss::shoot(5.,1.6),RandGauss::shoot(5.,0.8));

  QpZone *zone = page->getZone(0);
  zone->enableGridX(true,true);
  zone->enableGridY(true,true);
  new QpScatterPlot2D(zone, &myScatterPlot );
    
  mW.print(fileName.c_str());

  return retval ;  
}











