#include "test9.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "Qplotter/qp/qpcurve2D.h"

/** Multiple zone
 */

bool Test9::execute(MyWidget & mW) {
  bool retval = true ;
  QpPage *page = mW.getPage();

  page->createZones(3,4);

  new QpCurve1D( page->getZone(0), *(mW.getV1()) ,QpCurve1D::HISTO); 
  new QpCurve2D( page->getZone(0), *(mW.getV2D()) ,QpCurve2D::BOX); 

  new QpCurve1D( page->getZone(1), *(mW.getV1()) ,QpCurve1D::HISTO); 

  new QpCurve2D( page->getZone(2), *(mW.getV2D()) ,QpCurve2D::BOX); 

  new QpCurve1D( page->getZone(3), *(mW.getV1()) ,QpCurve1D::LINE); 
  new QpCurve1D( page->getZone(4), *(mW.getV1()) ,QpCurve1D::ERROR); 
  new QpCurve1D( page->getZone(5), *(mW.getV1()) ,QpCurve1D::MARKER); 
  new QpCurve1D( page->getZone(6), *(mW.getV1()) ,QpCurve1D::SMOOTH); 
  new QpCurve1D( page->getZone(7), *(mW.getV1()) ,QpCurve1D::FILLED_HISTO); 
  new QpCurve1D( page->getZone(8), *(mW.getV1()) ,QpCurve1D::MARKER_ERROR);
  new QpCurve1D( page->getZone(9), *(mW.getV1()) ,QpCurve1D::FILLED_SMOOTH);
  new QpCurve1D( page->getZone(10), *(mW.getV1()) ,QpCurve1D::LINE_MARKER);
  
  
  mW.print(fileName.c_str());
  return retval ;  
}





