#ifndef _QPVIEWTHREADH_
#define _QPVIEWTHREADH_

#include <qthread.h>

/** A class to manage Qt event loop exec() as a separate thread */

class QApplication;

class GUIThread : public QThread
{
public:
  /// Ctor
  GUIThread( QApplication *qApp );
  /// Terminate the thread
  void cancel();
protected:
  /// Enter event loop
  void run();
private:
  QApplication *qapp;
};

#endif
