# 
# This is a "simplified" version of the Anaphe make-include.
# Needs to be updated (together with the other files in this
# directory whenever changes to the $LHCXX_REL_DIR/etc/ files
# are made.
#

# Defaults for Unix systems. Can be overridden by platform specific makefiles

ifdef DEBUG
C_FLAGS += -g
endif

OBJ_EXT      =o
ARCH_EXT     =a
ARCH_PREFIX  =lib
SHLIB_EXT    =so
SHLIB_PREFIX =lib
MKARCHLIB    =ar crv # need the trailing blank
C_OUTPUT_TO  = -o 

# the c++ compiler flags (
C_FLAGS		+= $(C_INCLUDES) 

.PHONY: all clean 

${OS}/%.$(OBJ_EXT) : %.cpp 
	@echo compiling $*
ifndef VERBOSE
# string quotes needed for windows compilers
	@${C++} -c $*.cpp  ${C_FLAGS} $(C_OUTPUT_TO)"${OS}/$*.$(OBJ_EXT)"
else
	${C++} -c $*.cpp   ${C_FLAGS} $(C_OUTPUT_TO)"${OS}/$*.$(OBJ_EXT)"
endif

all: $(OS)

$(OS):
	@echo creating platform directory...
	@mkdir $(OS)

clean:  
	@echo cleaning in `pwd`
	@-rm -rf ${OS} core *~ \#*\# 
	@-rm -rf Templates.DB ptrepository cxx_repository so_locations

ifdef VERBOSE
  MSG:=$(shell echo including "${ETCDIR}"/unix_defaults.mk >& 2 )  
endif 

