#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "Qplotter/qp/qpaxis.h"
//#include "Qplotter/extensions/Vector.h"

int main(int argc, char* argv[])
{

  //AIDAVector vp;
  //vp.fromAscii("ex2.dat");
  //if (vp.dimension() >= 0) {
    QApplication myapp(argc, argv);
    QpPlot plot;
    QObject::connect(&plot, SIGNAL(quit()), &myapp, SLOT(quit()));
    QpPage *page = plot.getPage();
    QpZone *z1 = page->getZone(0);
    //z1->null();
    /// z1->setXLog(true);
    z1->updateY(0.12345,0.9123);
    z1->updateX(0.12345,100.9123);

    QpFrameLocator fl(0, "locator");
    fl.lRegister(page);
    page->setFinePicking(true);


/*
    QpAxis *a =  new QpAxis(30.0,30.0,185.0,185.0, 
	   0.12345,0.9123,(unsigned int)510,z1,true);

    QpAxis *aa =  new QpAxis(30.0,30.0,185.0,130.0, 
	   0.12345,0.9123,(unsigned int)510,z1,true);
    a->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::Arrow));

*/
    QpAxis *ab1 =  new QpAxis(110.0,100.0,180.0,100.0, 
                              0.03,700.,
			      QpAxis::Logarithmic+
			      QpAxis::TickPositive+QpAxis::Optimized,
			      20507U,z1,true);
    ab1->setGridLength(80.);
    ab1->setOption(QpAxis::GridMajor, true);
    ab1->setOption(QpAxis::GridMinor, true);
    QpAxis *ab2 =  new QpAxis(100.0,110.0,100.0,180.0, 
                              0.12345,0.9123,QpAxis::None,507U,z1,true);
    ab2->setOption(QpAxis::GridMajor, true);
    ab2->setOption(QpAxis::GridMinor, true);
    QpAxis *ab3 =  new QpAxis(100.,100.0,20.0,100.0, 
                              0.12345,0.9123,QpAxis::None,607U,z1,true);
    QpAxis *ab4 =  new QpAxis(105.,100.0,105., 20.0, 
                              0.12345,10.9123,QpAxis::None,50307U,z1,true);
/*
//    ab->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::Arrow));
    QpAxis *ac =  new QpAxis(155.0,185.0,90.0,100.0, 
	   0.0,1.0,(unsigned int)208,z1,true);
    ac->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::Arrow+QpAxis::TickHorizontal));
    QpAxis *ad =  new QpAxis(170.0,185.0,180.0,100.0, 
	   0.0,1.0,(unsigned int)308,z1,true);
    ad->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::Arrow+QpAxis::TickHorizontal));

    QpAxis *a0 =  new QpAxis(70.0,140.0,120.0,180.0, 
	   0.0,100.0,(unsigned int)10,z1,true);
    //a0->setOptions((QpAxis::Options)(QpAxis::TickNegative+QpAxis::TickPositive));

    QpAxis *a1 =  new QpAxis(70.0,135.0,120.0,172.5, 
	   0.0,100.0,(unsigned int)10,z1,true);
    a1->setOptions((QpAxis::Options)(QpAxis::TickNegative+QpAxis::TickPositive));
    //a1->setOptions((QpAxis::Options)(QpAxis::TickVertical+QpAxis::TickPositive+QpAxis::TickNegative));

    QpAxis *a1b =  new QpAxis(70.0,130.0,120.0,155, 
	   0.0,100.0,(unsigned int)10,z1,true);
    a1b->setOptions((QpAxis::Options)(QpAxis::TickVertical+QpAxis::TickNegative));

    QpAxis *a2 =  new QpAxis(70.0,125.0,120.0,137.5, 
	   0.0,100.0,(unsigned int)10,z1,true);
    a2->setOptions((QpAxis::Options)(QpAxis::TickVertical+QpAxis::TickPositive));

    QpAxis *a3 =  new QpAxis(25.0,90.0,185.0,90.0, 
	   0.0,100.0,(unsigned int)10,z1,true);
    //a3->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::TickHorizontal));
    a3->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::Arrow));
    //a3->setLabelAlignment(Qt::AlignRight);

    QpAxis *a3b =  new QpAxis(185.0,75.0,25.0,75.0, 
	   0.0,100.0,(unsigned int)210,z1,true);
    a3b->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::Arrow));
    //a3b->setLabelAlignment(Qt::AlignRight);

    QpAxis *a4 =  new QpAxis(25.0,60.0,185.0,30.0, 
	   0.0,10.0,(unsigned int)204,z1,true);
    //a4->setLabelAlignment(Qt::AlignRight);
    a4->setOptions((QpAxis::Options)(QpAxis::Arrow+QpAxis::TickNegative));

    QpAxis *a4b =  new QpAxis(185.0,60.0,25.0,30.0, 
	   0.0,10.0,(unsigned int)307,z1,true);
    a4b->setOptions((QpAxis::Options)(QpAxis::TickPositive+QpAxis::Arrow));
    //a4b->setLabelAlignment(Qt::AlignRight);

    QpAxis *a5 = new QpAxis(70.0,110.0,120.0,85.0, 
	   0.0,100.0,(unsigned int)10,z1,true);
    a5->setOptions((QpAxis::Options)(QpAxis::TickHorizontal+QpAxis::TickPositive));

    QpAxis *a6 = new QpAxis(70.0,105.0,120.0,67.5, 
	   0.0,100.0,(unsigned int)10,z1,true);
    a6->setOptions((QpAxis::Options)(QpAxis::TickHorizontal+QpAxis::TickNegative));

    QpAxis *a7 = new QpAxis(70.0,100.0,120.0,50.0, 
	   0.0,100.0,(unsigned int)10,z1,true);
    a7->setOptions((QpAxis::Options)(QpAxis::TickHorizontal+QpAxis::TickNegative+QpAxis::TickPositive));
    QpAxis *a7b = new QpAxis(70.0,100.0,120.0,50.0, 
	   0.0,100.0,(unsigned int)10,z1,true);
    a7b->setOptions((QpAxis::Options)(QpAxis::TickVertical+QpAxis::TickNegative+QpAxis::TickPositive));
    
    QpAxis *a8 = new QpAxis(70.0,90.0,70.0,25.0, 
	   0.0,100.0,(unsigned int)10,z1,true);
    //a8->setOptions((QpAxis::Options)(QpAxis::TickNegative));
*/
    myapp.setMainWidget(&plot);
    plot.show();
    plot.draw();

    myapp.exec();
//}
  
  return 1;
}
 


