#ifndef QPGRID_H
#define QPGRID_H

#include "Qplotter/qp/qpobject.h"
#include "Qplotter/qwt/qpqwt_grid.h"

/** %%%

    Grid on a zone.
    
  Usage:

  TODO:

*/


class QpGrid : public QpObject, public QpQwtGrid
{
public:
  /// Constructor
  QpGrid(QpObject *z, bool addOnParent=true,
	   QpTransformation::tStrategy st=QpTransformation::Zone);
  /// Destructor
  ~QpGrid();
  /// Draw the grid
  virtual void draw();
  /// Print the grid
  virtual void print();

protected:
  void paint(QPainter *painter);
};


#endif
