#ifndef QPMATHBOX_H
#define QPMATHBOX_H

/** %%%
    
  Usage:

  TODO:

*/


#include "Qplotter/qp/qpobject.h"

class QpMathBox : public QpObject {
public:
  QpMathBox(QFont *theFont, QpObject *z, bool addOnParent=true);
  virtual ~QpMathBox() {}
  void setCoords(int _xC, int _yC);
  virtual void draw();
  virtual void print();
  void shiftX(int skew) {xC += skew;};
  void shiftY(int skew) {yC += skew;};
  const int getWidth() const {return width;}
  const int getHeight() const {return height;}
  /// Is this object touched by this point ?
	QpObject *touched(double /*_x*/, double /*_y*/, double /*errorX*/, 
			  double /*errorY*/, QpObject *&/*node*/) {
    return 0;
  }
protected:
  void paint(QPainter *painter);  
  int xC;
  int yC;
  int width;
  int height;
  QFont *curFont;
  QString nodeVal;
};

class QpSymbolBox : public QpMathBox {
public:
  QpSymbolBox(QFont *theF,QString entityVal,QpObject *z,bool addOnParent=true);
};

class QpTextBox : public QpMathBox {
public:
  QpTextBox(QFont *theF,QString textVal, QpObject *z, bool addOnParent=true) ;
};

class QpRootBox : public QpMathBox {
public:
  QpRootBox(QFont *theFont,int rootWidth,QpObject *z,bool addOnParent=true);
  int getSkew() const {return skew;}
  virtual void draw();
  virtual void print();
private:
  void paint(QPainter *painter, bool advanceX);
  int skew;
};

#endif

