#include "Qplotter/qp/qpmathbox.h"
#include "Qplotter/qp/qpmathboxlist.h"

QpMathBoxList::QpMathBoxList(QpObject *z, bool addOnParent,
			     QpTransformation::tStrategy st)
  : QpNode<QpMathBox> (new QString("QpMathBoxList"), z, addOnParent, st) {
}

int QpMathBoxList::getPixWidth (QPainter * /*painter*/) /*const*/ {
  /* [WARNING] Unused QPainter *painter ! */
  
  int width=0;
  QPtrList<QpObject> objectList = findType(QString("QpMathBox"));
  for (objectList.first();
       objectList.current() != 0;
       objectList.next())
    {
      width += ((QpMathBox *) objectList.current())->getWidth();
    }
    
  return width;
}

// Just an approximation...

int QpMathBoxList::getPixHeight (QPainter */*painter*/) /*const*/{
  int height = 0;

  QPtrList<QpObject> objectList = findType(QString("QpMathBox"));
  for (objectList.first();
       objectList.current() != 0;
       objectList.next())
    {
     height = ((QpMathBox *) objectList.current())->getHeight();
    }

  return height;
}





