#ifndef QPPLAINTEXT_H
#define QPPLAINTEXT_H

/** %%%

    The simple text object.
    
  Usage:

  TODO:

*/


#include "Qplotter/qp/qpcommontext.h"


class QpPlainText : public QpCommonText
{
public:
  /// Constructor
  QpPlainText(QString _data, QpObject *z, double _x=0, double _y=0, 
	      double _w=0, double _h=0, bool addOnParent=true,
	      QpTransformation::tStrategy st=QpTransformation::Zone);
  /// Destructor
  ~QpPlainText() {}
  /** Return the width of the text in pixel according to its painter. */
  int getPixWidth(QPainter *painter) const ;
  /** Return the height of the text in pixel according to its painter. */
  int getPixHeight(QPainter *painter) const ;
  /// Returns the distance between two baselines
  int getLineSpacing(QPainter *p) const;
  /// Draw the text
  void draw();
  /// Print the text
  void print();
  /// Is this object touched by this point ?
  QpObject *touched(double _x, double _y, double errorX, double errorY, QpObject *&node);
protected:
  void paint(QPainter *painter);
private:
  QRect br;
};

#endif
