#include "Qplotter/qp/qptextmetrics.h"
#include <qpainter.h>
#include <qstring.h>

int QpTextMetrics::getPixHeight(QPainter *_p)
{
  return (_p) ? _p->fontMetrics().height() : 0;
}

int QpTextMetrics::getPixHeight(QString s, QPainter *_p)
{
  if (_p != 0) {
    QRect br = _p->fontMetrics().boundingRect(s);
    return br.height();
  } else
    return 0;
  return (_p) ? _p->fontMetrics().height() : 0;
}

int QpTextMetrics::getPixWidth(QString s, QPainter *p)
{
   return (p) ? p->fontMetrics().width(s) : 0;
}

int QpTextMetrics::getLineSpacing(QPainter *_p)
{
  return (_p) ? _p->fontMetrics().lineSpacing() : 0 ;
}

int QpTextMetrics::getLeading(QPainter *_p)
{
  return (_p) ? _p->fontMetrics().leading() : 0 ;
}

int QpTextMetrics::getDescent(QPainter *_p)
{
  return (_p) ? _p->fontMetrics().descent() : 0 ;
}

int QpTextMetrics::getAscent(QPainter *_p)
{
  return (_p) ? _p->fontMetrics().ascent() : 0 ;
}
