#include <qapplication.h>
#include <qtimer.h>

#include "Qplotter/qp/qpaxis.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "Qplotter/qp/qpcurve2D.h"
#include "VectorOfPoints/Vector.h"

#include "qpltest.h"
#include "widget.h"
#include "tester.h"
#include "test1.h"
#include "test2.h"
#include "test3.h"
#include "test4.h"
#include "test5.h"
#include "test6.h"

int main(int argc, char* argv[]) {
  // QApplication object manages the event loop
  QApplication myApp(argc, argv);
  // Our widget corresponds to a window
  MyWidget myFrame; //BUG
  // The Tester instance
  Tester myTest;
  // make the frame visible
  myApp.setMainWidget(&myFrame);
  myTest.run(myFrame);
  // Set a timer to interrupt the event loop
  QTimer *drawTimer = new QTimer( &myApp ,"drawTimer");
  QObject::connect(drawTimer , SIGNAL(timeout()),&myApp, SLOT(quit()) );
  drawTimer->start(500 , TRUE );
  // Enter event loop
  myApp.exec();
  return 0;
}

