#include "test2.h"
#include "Qplotter/qp/qpcurve1D.h"

bool Test2::execute(MyWidget & mW) {
  bool retval = true ;
  
  mW.createZones(1,2);
  QpZone *z1 = mW.getPage()->getZone(0);
  // Insert one curve for Monte Carlo values
  new QpCurve1D( z1, *(mW.getV1()) , QpCurve1D::LINE);
  z1 = mW.getPage()->getZone(1);
  new QpCurve1D( z1, *(mW.getV1()) ,QpCurve1D::LINE);
  z1->zoom(10.,30.,40.,120.);

  
  mW.print(fileName.c_str());
  return retval;  
}
