#include "test5.h"
#include "Qplotter/qp/qpcurve2D.h"

bool Test5::execute(MyWidget & mW) {
  bool retval = true ;
  mW.createZones(1,1);
  QpPage *page = mW.getPage();

  QpZone *zone = (mW.getPage())->getZone(0);
  QpCurve2D *qpc = new QpCurve2D(zone, *(mW.getV2D()) );  
  qpc->setQpBrush(QBrush(Qt::red));
  // BUG: Why grey on printer ??
  
  // Grid management
  zone->enableGridX(true,true);
  zone->enableGridY(true,true);

  page->redraw() ;

  mW.print(fileName.c_str());
  return retval;
}
