#include "test6.h"

bool Test6::execute(MyWidget & mW) {
  bool retval = true ;
  mW.createZones(1,1);

  AIDAVector vp;
  vp.fromAscii("data2D.dat");

  QpPage *page = mW.getPage();
  QpZone *zone = (mW.getPage())->getZone(0);

  QpCurve2D *qpc = new QpCurve2D(zone, vp );  
  
  TestLocatorLeftPressed *locatorLeftPressed =
    new TestLocatorLeftPressed(&mW);
  locatorLeftPressed->lRegister(mW.getPage());

  
  mW.print(fileName.c_str());
  return retval;
}

void TestLocatorLeftPressed::update() {

  std::cout << "X Zone coordinate is " << listener->getXz() << std::endl;
  std::cout << "Y Zone coordinate is " << listener->getYz() << std::endl;
  std::cout << "X Page coordinate is " << listener->getXp() << std::endl;
  std::cout << "Y Page coordinate is " << listener->getYp() << std::endl;
  std::cout << "X Pixel coordinate is " << listener->getX() << std::endl;
  std::cout << "Y Pixel coordinate is " << listener->getY() << std::endl;
  
  // Check we picked something
  if (listener->getPicked() != 0) {
    std::cout << listener->getPicked()->isA() << " picked with event "
	      << listener->getEventType() << std::endl;
    std::cout << "Title is " << listener->getZoneTitle() << std::endl ;

    if (listener->getPickedNode() != 0) {
      /* mParent */
    }

    /*    
    if (QString("QpPolyLine") == listener->getPicked()->isA())
      mParent->toggleColor();
    */
  }
}
