#ifndef TEST6_H
#define TEST6_H

// Test #6 : Listener test
/** One QpEvObserver for each event ?
 */

#include <iostream>
#include "qpltest.h"

class Test6 : public Test {
public: 
  Test6 (const char *testName) : Test(testName) {};
  bool execute(MyWidget & mW) ;
};

class TestLocatorLeftPressed : public QpEvObserver {
public:
  TestLocatorLeftPressed(MyWidget *_parent) : 
    QpEvObserver((QpListener::EventType)(QpListener::LeftPressed)) {
    mParent = _parent;
  }

  virtual void update();

  virtual void end() { listener->removeObserver(this);}
  
private:
  MyWidget *mParent;
};  

#endif
