#include "VectorOfPoints/Vector.h"
#include "widget.h"

MyWidget::MyWidget( QWidget *parent, const char *name )
  : QWidget( parent, name ), page(0) {
  setGeometry(1,1,pixDim,pixDim);
  page = new QpPage(this,QRect(0,0,pixDim,pixDim),210,210); //BUG
  // Read vector data
  vp1 = new Anaphe::AIDAVector();
  vp1->fromAscii("ex2.dat");
  vp2 = new Anaphe::AIDAVector();
  vp2->fromAscii("ex2.dat");
  vp2->mul(2.);
  vp2D = new Anaphe::AIDAVector();
  vp2D->fromAscii("data2D.dat");
}

MyWidget::~MyWidget () {
  delete vp1;
  delete vp2;
  delete vp2D;
}

void MyWidget::createZones (int nX,int nY) {
  if (page)  page->createZones(nX,nY);
}



