#include "Qplotter/viewer/applInstance.h"
#include "Qplotter/viewer/qpViewer.h"
#include "Qplotter/viewer/viewerFactory.h"

#include "Interfaces/IVector.h"
#include "Interfaces/IScatter2D.h"

#include "AIDA/IFunction.h"
#include "AIDA/IHistogram.h"
#include "AIDA/IHistogram1D.h"
#include "AIDA/IHistogram2D.h"
#include "AIDA/IHistogram3D.h"
#include "AIDA/ICloud.h"

// Return a QpViewer viewer
IViewer* ViewerFactory::Viewer()  {
  return new QpViewer::Viewer;
}
