#include "viewline.h"

/**
   Todo:
   (--) Previous/Next command with arrow keys.
 */

ViewLine::ViewLine(QWidget *parent, const char *name) : 
  QLineEdit(parent,name)
{;}

ViewLine::~ViewLine()
{;}


bool ViewLine::event( QEvent * e )
{
  if (e->type() == QEvent::KeyPress)
    {
      QKeyEvent *ke = (QKeyEvent*) e;
      if ( ke->key() == Key_Tab ) {
	// insert( ke->text() );
	insert("\t");
	return TRUE;
      }
    }

  return QWidget::event(e);
}
 
