OBJ_EXT      =obj
ARCH_EXT     =lib
SHLIB_EXT    =dll
IMPLIB_EXT=lib
SHLIB_PREFIX=
ARCH_PREFIX=
#shared libs 
MKSHLIB= etc/mkWin32SharedLib 
#MKSHLIB= link /nologo /DLL /machine:IX86 /out:
SHLIB_FLAGS     = 

MKARCHLIB    =lib /nologo /machine:IX86 /out:
C_OUTPUT_TO  = /Fo

C++		= cl
C_FLAGS	        += /nologo  \
        /D_CONSOLE /DWIN32 /D_WIN32 /DOS_WIN_32 /DOS

# the c++ compiler flags (
C_FLAGS		+= $(C_INCLUDES) 

ifdef DEBUG
	C_FLAGS += /MD /Zi /Od /GX
else
	C_FLAGS += /MD /GX
endif

ifdef VERBOSE_LINK
   HEP_ODBMS_LIBS            += /verbose
endif

ifdef VERBOSE
  MSG:=$(shell echo including "${ETCDIR}"/win32_defaults.mk  >& 2 )  
endif 

.PHONY: all clean 

${OS}/%.$(OBJ_EXT) : %.cpp 
	@echo compiling $*
ifndef VERBOSE
# string quotes needed for windows compilers
	@${C++} -c $*.cpp  ${C_FLAGS} $(C_OUTPUT_TO)"${OS}/$*.$(OBJ_EXT)"
else
	${C++} -c $*.cpp   ${C_FLAGS} $(C_OUTPUT_TO)"${OS}/$*.$(OBJ_EXT)"
endif

all: $(OS)

$(OS):
	@echo creating platform directory...
	@mkdir $(OS)

clean:  
	@echo cleaning in `pwd`
	@rm -rf ${OS} 
